import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as ComponentStories from "./production-status.stories";

<Meta of={ComponentStories} name="Docs" />

# Production Status

The `ProductionStatus` component displays the current status of a production process. This component can show different types of statuses based on the `type` property and includes customizable text content.

## Usage

The `ProductionStatus` component accepts the following properties:

### Props

-   **type** (string): The type of the production status. Default value is `open`.
-   **text** (string): The text content to be displayed within the component. Default value is `Production Status`.

## Examples

<Canvas of={ComponentStories.Open} />
<Canvas of={ComponentStories.Canceled} />
<Canvas of={ComponentStories.InProduction} />
<Canvas of={ComponentStories.Invoiced} />
<Canvas of={ComponentStories.Completed} />

## Developer Documentation

<Controls />
